#' NetworkToolbox--package
#' @description Implements network analysis and graph theory measures used
#' in neuroscience, cognitive science, and psychology.
#' Methods include various filtering methods and approaches such as
#' threshold, dependency, Information Filtering Networks, and Efficiency-Cost Optimization.
#' Brain methods include the recently developed Connectome Predictive Modeling.
#' Also implements several network measures including local network characteristics
#' (e.g., centrality), global network characteristics (e.g., clustering coefficient),
#' and various other measures associated with the reliability and
#' reproducibility of network analysis. 
#' @references
#' Christensen, A. P. (2018).
#' NetworkToolbox: Methods and measures for brain, cognitive, and psychometric network analysis.
#' R package version 1.1.2. Available from \url{https://github.com/AlexChristensen/NetworkToolbox}
#' @author Alexander Christensen <alexpaulchristensen@gmail.com>
"_PACKAGE"
#> [1] "_PACKAGE"
#NetworkToolbox----